## swig1.3 1.3.40

=== debian/changelog ===
swig1.3 (1.3.40-3ubuntu1) maverick; urgency=low

  * Merge from Debian unstable (LP: #612130), remaining changes:
    - Drop libchicken-dev from the build-depends (it's in universe)
    - Remove Pike from package description and from configure flags
    - drop "--without-mzscheme", we don't have it in our build-depends
    - use php-config5
    - Clean Runtime/ as well.
    - debian/rules (clean): Remove Lib/ocaml/swigp4.ml.
  * debian/rules: Remove hardcoded python version.

 -- Artur Rona <ari-tczew@tlen.pl>  Sat, 31 Jul 2010 17:26:45 +0200

swig1.3 (1.3.40-3) unstable; urgency=low

  * debian/control: Line wrap build dependencies (closes: #556356).
    Thanks to Benjamin Drung.
  * debian/control: Add Vcs-* and Homepage fields.
  * debian/control: Remove version from python-dev dependency (not sure why
    it was added). This makes it buildable in sid again (closes: #588573).
  * debian/compat: Bump to 7 (which was available even in lenny).

 -- Torsten Landschoff <torsten@debian.org>  Fri, 09 Jul 2010 22:58:21 +0200

swig1.3 (1.3.40-2ubuntu1) lucid; urgency=low

  * Merge from Debian testing (LP: #356529), remaining changes:
    - Drop libchicken-dev from the build-depends (it's in universe)
    - Remove Pike from package description and from configure flags
    - drop "--without-mzscheme", we don't have it in our build-depends
    - use php-config5
    - Clean Runtime/ as well.
    - debian/rules (clean): Remove Lib/ocaml/swigp4.ml.
  * debian/rules: Remove hardcoded python version.
  * Remove upper limit for python from Build-Depends.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 15 Nov 2009 14:00:28 +0100

swig1.3 (1.3.40-2) unstable; urgency=low

  * Retarget for unstable.

 -- Torsten Landschoff <torsten@debian.org>  Wed, 21 Oct 2009 20:03:54 +0200

swig1.3 (1.3.40-1) experimental; urgency=low

  * New upstream release (closes: #543684).

 -- Torsten Landschoff <torsten@debian.org>  Sat, 17 Oct 2009 14:48:41 +0200

swig1.3 (1.3.39-2) unstable; urgency=low

  * Merge upstream changeset 11213, fixing the Subversion bindings.

 -- Torsten Landschoff <torsten@debian.org>  Sat, 08 Aug 2009 15:00:32 +0200

swig1.3 (1.3.39-1) experimental; urgency=low

  * New upstream release.
  * debian/control: Remove ocaml from Build-Depends (not available in sid
    right now). Probably we can drop most of the build depends anyway, they
    do not affect the swig binary AFAIK. However, when running the test
    suite, we should better have them available...
  * debian/rules: Use DH_ALWAYS_EXCLUDE=.svn to support building directly
    from Subversion checkout.

 -- Torsten Landschoff <torsten@debian.org>  Fri, 07 Aug 2009 00:22:56 +0200

swig1.3 (1.3.38-1) experimental; urgency=low

  * Apply patch by Petr Salinger to enable java bindings for GNU/kFreeBSD
    (closes: #497789).
  * New upstream release (closes: #514060).
  * Remove patch to config.guess, config.sub (upstream is up-to-date).
  * Update patch to keep documentation files in make clean.
  * Use python2.5 instead of python2.4.
  * Install Examples/php instead of Examples/php4 (which is no longer).

 -- Torsten Landschoff <torsten@debian.org>  Thu, 26 Feb 2009 16:16:07 +0100

swig1.3 (1.3.36-1ubuntu2) jaunty; urgency=low

  * debian/control: update build dependency to python-dev (<<3.0) to build the
    package with python2.6 (LP: #356805)

 -- Fabrice Coutadeur <coutadeurf@gmail.com>  Tue, 07 Apr 2009 05:47:25 +0000

swig1.3 (1.3.36-1ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Drop pike and libchicken-dev from the build-depends 
      (both are universe)
    - Use python2.5 instead of python2.4.
    - use php5
    - Clean Runtime/ as well.
    - debian/Rules (clean): Remove Lib/ocaml/swigp4.ml.
    - drop "--without-mzscheme", we don't have it in our build-depends

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 10 Nov 2008 16:29:56 +0100

swig1.3 (1.3.36-1) unstable; urgency=low

  * New upstream release (closes: #488342).
    + debian/patches: Remove obsolete patches.
  * debian/rules: Build without mzscheme for now as the configure script 
    breaks as it can't mute the banner anymore (--mute-banner does not 
    work anymore).

 -- Torsten Landschoff <torsten@debian.org>  Sun, 06 Jul 2008 03:07:56 +0200

swig1.3 (1.3.35-4ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Drop support for pike.
    - Use python2.5 instead of python2.4.
    - use php5
    - Clean Runtime/ as well.
    - Force a few environment variables.
    - debian/Rules (clean): Remove Lib/ocaml/swigp4.ml.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 20 Jun 2008 18:33:37 +0200

swig1.3 (1.3.35-4) unstable; urgency=low

  * Acknowledge NMUs (closes: #476718, #477906). Thanks, guys!
  * Apply patch from Barry deFreese to Wad proof-of-concept that is 
    not actually built (closes: #469006).
  * debian/control: Update Build-Depends on guile to version 1.8 as 
    1.6 is quite outdated already (closes: #477521).
  * debian/control: Re-add armel and armeb to the target platforms
    which have gcj and gij again (closes: #479113).
  * debian/patches/swig-svn-r10376.diff: Import upstream changes of 
    revision 10376 by request of Soeren Sonnenburg.
  * Lintian fixes:
    + debian/swig-doc.doc-base: Fix section (was Apps/Programming, now
      just Programming). Remove leading whitespace in abstract.
    + debian/control: Upgrade Standards-Version to 3.7.3 (no changes
      required).
    + debian/control: Fix spelling Ocaml -> OCaml.

 -- Torsten Landschoff <torsten@debian.org>  Sun, 04 May 2008 21:09:47 +0200

swig1.3 (1.3.35-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Remove Build-Depends: gij, gcj on alpha, arm, and hurd-i386.
    (Closes: #477906)

 -- Torsten Werner <twerner@debian.org>  Sat, 26 Apr 2008 18:08:59 +0200

swig1.3 (1.3.35-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Allow python2.5 in Build-Depends. (Closes: #476718)


