## swig1.3 2.0.4+really1.3.40

=== debian/changelog ===
swig1.3 (2.0.4+really1.3.40-3ubuntu4) oneiric; urgency=low

  * Include stddef.h in pyruntime.swg. LP: #831175.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Sep 2011 15:17:40 +0200

swig1.3 (2.0.4+really1.3.40-3ubuntu3) oneiric; urgency=low

  * Fix typo in build dependencies; s/gij-jre/gcj-jre/ (LP: #829189)
    - update debian/control 

 -- Micah Gersten <micahg@ubuntu.com>  Thu, 18 Aug 2011 23:43:24 -0500

swig1.3 (2.0.4+really1.3.40-3ubuntu2) oneiric; urgency=low

  * Build-depend on gcj-jre, gcj-jdk.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Aug 2011 23:36:35 +0200

swig1.3 (2.0.4+really1.3.40-3ubuntu1) oneiric; urgency=low

  * No change rebuild to get the version number higher than the swig2.0
    package in universe that took over the swig, swig-doc and swig-examples
    binary packages.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 05 Aug 2011 09:23:44 -0400
