=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-swig/trunk
 Build-Depends: bison,
                debhelper (>= 7.0),
-               gcj [!hppa !mips !mipsel !alpha !arm !hurd-i386],
-               gij [!hppa !mips !mipsel !alpha !arm !hurd-i386],
+               gcj-jdk [!hppa !mips !mipsel !alpha !arm !hurd-i386],
+               gcj-jre [!hppa !mips !mipsel !alpha !arm !hurd-i386],
                guile-1.8-dev,
                libperl-dev,
                libpcre3-dev [!m68k !mips !mipsel],
